<template>
    <StudentLayout>
        <div class="row g-4">
            <!-- Kelengkapan Profil -->
            <div class="col-md-3">
                <div class="card bg-secondary text-white position-relative overflow-hidden">
                    <div class="p-3 position-relative z-1">
                        <div class="d-flex justify-content-between align-items-start">
                            <div>
                                <h6 class="text-white">Kelengkapan Profil</h6>
                                <h2 class="fw-semibold text-white">{{ statistic.completeness_profile }}%</h2>
                            </div>
                            <div
                                class="rounded-circle d-flex align-items-center justify-content-center bg-secondary"
                                style="width: 48px; height: 48px;"
                            >
                                <i class="ti ti-user fs-3 text-white"></i>
                            </div>
                        </div>
                        <div class="mt-3">
                            <h6 class="text-white">{{ msgCompletenessProfile }}</h6>
                            <p class="text-white">Lengkapin profil kamu, biar peluang dapet kerja makin ngebut 🚀</p>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Lowongan Baru Minggu Ini -->
            <div class="col-md-3">
                <div class="card bg-secondary text-white position-relative overflow-hidden">
                    <div class="p-3 position-relative z-1">
                        <div class="d-flex justify-content-between align-items-start">
                            <div>
                                <h6 class="text-white">Lowongan Baru (Minggu Ini)</h6>
                                <h2 class="fw-semibold text-white">{{ statistic.new_vacancies_last_week }}</h2>
                            </div>
                            <div
                                class="rounded-circle d-flex align-items-center justify-content-center bg-warning"
                                style="width: 48px; height: 48px;"
                            >
                                <i class="ti ti-briefcase fs-3 text-white"></i>
                            </div>
                        </div>
                        <div class="mt-3">
                            <p class="text-white mb-0">Cek peluang kerjaan baru, siapa tau jodoh! 🔥</p>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Total Lamaran -->
            <div class="col-md-3">
                <div class="card bg-secondary text-white position-relative overflow-hidden">
                    <div class="p-3 position-relative z-1">
                        <div class="d-flex justify-content-between align-items-start">
                            <div>
                                <h6 class="text-white">Total Lamaran</h6>
                                <h2 class="fw-semibold text-white">{{ statistic.total_applied }}</h2>
                            </div>
                            <div
                                class="rounded-circle d-flex align-items-center justify-content-center bg-success"
                                style="width: 48px; height: 48px;"
                            >
                                <i class="ti ti-send fs-3 text-white"></i>
                            </div>
                        </div>
                        <div class="mt-3">
                            <p class="text-white mb-0">Keep applying, jangan kasih kendor! 🚀</p>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Isian Tracer Study -->
            <div class="col-md-3">
                <div class="card bg-secondary text-white position-relative overflow-hidden">
                    <div class="p-3 position-relative z-1">
                        <div class="d-flex justify-content-between align-items-start">
                            <div>
                                <h6 class="text-white">Isian Tracer Study</h6>
                                <h2 class="fw-semibold text-white">{{ statistic.filled_tracer_study }}</h2>
                            </div>
                            <div
                                class="rounded-circle d-flex align-items-center justify-content-center bg-info"
                                style="width: 48px; height: 48px;"
                            >
                                <i class="ti ti-clipboard fs-3 text-white"></i>
                            </div>
                        </div>
                        <div class="mt-3">
                            <p class="text-white mb-0">Lengkapi datamu, bantu sekolah kita makin keren! 🎓</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </StudentLayout>
</template>

<script setup>
import StudentLayout from "@/Layouts/StudentLayout.vue";
import { computed } from "vue";

const props = defineProps({
    statistic: {
        type: Object,
        required: true
    },
    myLastStatus: {
        type: Object,
        required: true
    }
});

const msgCompletenessProfile = computed(() => {
    const completeness = props.statistic.completeness_profile;

    if (completeness >= 90) {
        return "🔥 Profil kamu udah mantap banget!";
    } else if (completeness >= 70) {
        return "✨ Profil kamu hampir lengkap, dikit lagi!";
    } else if (completeness >= 50) {
        return "📋 Profil kamu lumayan, ayo lengkapi lagi!";
    } else if (completeness >= 30) {
        return "⚡ Profil kamu masih setengah jalan nih!";
    } else {
        return "🔍 Profil kamu masih kosong, ayo diisi!";
    }
});
</script>

<style scoped>
.card.bg-secondary::before,
.card.bg-secondary::after {
    content: "";
    position: absolute;
    border-radius: 50%;
    background: #2b2f5c;
    opacity: 0.5;
    z-index: 0;
}

.card.bg-secondary::before {
    width: 210px;
    height: 210px;
    top: -125px;
    right: -15px;
}

.card.bg-secondary::after {
    width: 210px;
    height: 210px;
    top: -85px;
    right: -95px;
}
</style>
